@echo off
rem ####################################################
rem #
rem # Copyright (c) 2014 skipser.com.
rem # All rights reserved.
rem #
rem ####################################################

echo.
echo Starting Server
echo ===================
echo.
adb\adb start-server

echo Device Status
echo --------------
adb\adb devices

adb\adb shell dumpsys window | find "mUnrestrictedScreen" > SreenSize.txt
for /f "tokens=2" %%b in (SreenSize.txt) do set clean_string=%%b
set DEF_DISP=%clean_string%
DEL /F SreenSize.txt

set DEF_BITRATE=4

set DEF_TIME=3

echo Recording Settings-
echo -----------------------
echo Resolution- %DEF_DISP%
echo Bit Rate  - %DEF_BITRATE%Mbps
echo Max time  - %DEF_TIME%Min
echo.

set /a DEF_BITRATE=DEF_BITRATE * 1000000 
set /a DEF_TIME=%DEF_TIME% * 60

rem Get a file name.
set FILENUM=1
:while2
set FILENAME=rec%FILENUM%.mp4
if exist %FILENAME% (
    :: change countfile here
    set /a FILENUM=%FILENUM% + 1
    goto :while2
)

echo.
echo Recording will now begin. Close the popup window to stop.
pause

set SDDIR=/sdcard
CALL arec1.bat %DEF_DISP% %DEF_BITRATE% %DEF_TIME% %SDDIR%/%FILENAME%< Nul

ping -n 2 127.0.0.1 > Nul

echo.
echo Copying recorded file.
adb\adb pull %SDDIR%/%FILENAME%
echo Done. The recording has been copied to %FILENAME%

echo.
echo Press any key to exit...
pause > Nul
